﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SfDataGridDemo
{
    /// <summary>
    /// Interaction logic for ContentView.xaml
    /// </summary>
    public partial class ContentView : UserControl
    {
        public ContentView()
        {
            var columns = new Columns();
            columns.Add(new GridTextColumn() { MappingName = "Name" });
            columns.Add(new GridTextColumn() { MappingName = "QS1" });
            columns.Add(new GridTextColumn() { MappingName = "QS2" });
            columns.Add(new GridTextColumn() { MappingName = "QS3" });
            this.GridColumns = columns;

            this.GridItemsSource = new ObservableCollection<Model>();
            (this.GridItemsSource as ObservableCollection<Model>).Add(new Model() { Name = "a", QS1 = 1, QS2 = 11, QS3 = 111, QS4=1111 });
            (this.GridItemsSource as ObservableCollection<Model>).Add(new Model() { Name = "b", QS1 = 2, QS2 = 22, QS3 = 222, QS4=2222 });
            (this.GridItemsSource as ObservableCollection<Model>).Add(new Model() { Name = "c", QS1 = 3, QS2 = 33, QS3 = 333, QS4=3333 });

            InitializeComponent();
        }

        // Colunas do Grid
        public Columns GridColumns
        {
            get
            {
                return (Columns)GetValue(GridColumnsProperty);
            }
            set
            {
                SetValue(GridColumnsProperty, value);
            }
        }

        // Fonte de registros do Grid
        public object GridItemsSource
        {
            get
            {
                return (object)GetValue(GridItemsSourceProperty);
            }
            set
            {
                SetValue(GridItemsSourceProperty, value);
            }
        }

        // Colunas do Grid
        public static readonly DependencyProperty GridColumnsProperty =
            DependencyProperty.Register("GridColumns", typeof(Columns), typeof(ContentView));

        // Fonte de registros do Grid
        public static readonly DependencyProperty GridItemsSourceProperty =
            DependencyProperty.Register("GridItemsSource", typeof(object), typeof(ContentView),
                new FrameworkPropertyMetadata(null, FrameworkPropertyMetadataOptions.BindsTwoWayByDefault));
    }
}
