﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace SfDataGridDemo
{
    internal static class BindableColumns
    {
        public static Columns GetColumns(DependencyObject obj)
        {
            return (Columns)obj.GetValue(ColumnsProperty);
        }

        public static void SetColumns(DependencyObject obj, Columns value)
        {
            obj.SetValue(ColumnsProperty, value);
        }

        // Using a DependencyProperty as the backing store for Columns.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty ColumnsProperty =
            DependencyProperty.RegisterAttached("Columns", typeof(Columns), typeof(BindableColumns), new PropertyMetadata(null, OnColumnsPropertyChanged));

        public static void OnColumnsPropertyChanged(DependencyObject obj, DependencyPropertyChangedEventArgs args)
        {
            var dataGrid = obj as SfDataGrid;
            if(dataGrid != null)
                dataGrid.Columns = args.NewValue as Columns;
        }
    }
}
